clc
clear all

full=xlsread('fullyresolved.xlsx');
multi=xlsread('multiscale.xlsx');

for i=1:30
    multi2(i,:)=multi(i*10-1,:);
end


x=full(:,1);
x2=multi2(:,1);
x=x/30;
x2=x2/30;

color1=[253	141	60]/255;
color2=[241	105	19]/255;
color3=[217	72	1]/255;
color4=[140	45	4]/255;

plot( x2,multi2(:,2),'ok',x,full(:,2),'k', 'markers',8,'linewidth',2, 'color', color1)
hold on
plot( x2,multi2(:,3),'ok',x,full(:,3),'k', 'markers',8,'linewidth',2, 'color', color2)
plot( x2,multi2(:,4),'ok',x,full(:,4),'k', 'markers',8,'linewidth',2, 'color', color3)
plot( x2,multi2(:,5),'ok',x,full(:,5),'k', 'markers',8,'linewidth',2, 'color', color4)

xlabel('$x/L$','FontSize',20,'Interpreter','latex');
ylabel('$c$','FontSize',20,'Interpreter','latex');
ylim([0 1])

% legend('Patch based, $Da=0$', 'Fully resolved, $Da=0$',  ...
%     'Patch based, $Da=5\times10^{-4}$', 'Fully resolved, $Da=5\times10^{-4}$',  ...
%     'Patch based, $Da=1\times10^{-3}$', 'Fully resolved, $Da=1\times10^{-3}$',  ...
%     'Patch based, $Da=2\times10^{-3}$', 'Fully resolved, $Da=2\times10^{-3}$', 'FontSize',12.5,'Interpreter','latex')
% set(legend,'box', 'off')

%%%%%%%%% group requirements %%%%%%%%%%
set(gcf, 'Units', 'centimeters',...
    'Position',[3 4 16 12],... % [left bottom width height]
    'PaperPositionMode', 'auto');
set(gca,'FontName','Times New Roman','FontSize',...
    20,'LineWidth',2,'Yscale','linear');
h=gcf;
pos = get(gcf, 'Position');
set(h,'PaperUnits','centimeters', 'PaperSize', pos(3:4));
print(h,'-dpdf', sprintf('./%s.pdf',mfilename));