clc
clear all

full=xlsread('fullyresolved.xlsx');
multi=xlsread('multiscale.xlsx');

for i=1:30
    multi2(i,:)=multi(i*10-1,:);
end


x=full(:,1);
x2=multi2(:,1);
x=x/30;
x2=x2/30;

color1=[253	141	60]/255;
color2=[241	105	19]/255;
color3=[217	72	1]/255;
color4=[140	45	4]/255;

p1=plot( x2,multi2(:,2),'ok',x,full(:,2),'k' ,   'markers',8,'LineWidth',2, 'color', color1);
hold on
p2=plot( x2,multi2(:,3),'ok',x,full(:,3),'k',   'markers',8,'LineWidth',2, 'color', color2);
p3=plot( x2,multi2(:,4),'ok',x,full(:,4),'k',   'markers',8,'LineWidth',2, 'color', color3);
p4=plot( x2,multi2(:,5), 'ok', x,full(:,5),'k', 'markers',8,'linewidth',2, 'color', color4);

%%%%%% Axis %%%%%%
xlabel('$x/L$','FontSize',20,'Interpreter','latex');
ylabel('$c$','FontSize',20,'Interpreter','latex');
ylim([0 1])
set(gca,'FontName','Times New Roman','FontSize',...
    20,'LineWidth',2,'Yscale','linear');

%%%%%%% Legend %%%%%%
legend([p1(1) p2(1) p3(1) p4(1)], '','','','','FontSize',18,'Interpreter','latex')
set(legend, 'box', 'off', 'Position', [0.21 0.32 0 0])
a=axes('position',get(gca,'position'),'visible','off');
legend(a,[p1(2) p2(2) p3(2) p4(2)], '$Da=0$' , '$Da=5\times10^{-4}$','$Da=1\times10^{-3}$','$Da=2\times10^{-3}$','FontSize',18,'Interpreter','latex')
set(legend, 'box', 'off', 'Position', [0.36 0.32 0 0])



%%%%%%%%% group requirements %%%%%%%%%%
set(gcf, 'Units', 'centimeters',...
    'Position',[3 4 16 12],... % [left bottom width height]
    'PaperPositionMode', 'auto');
set(gca,'FontName','Times New Roman','FontSize',...
    20,'LineWidth',2,'Yscale','linear');
h=gcf;
pos = get(gcf, 'Position');
set(h,'PaperUnits','centimeters', 'PaperSize', pos(3:4));
print(h,'-dpdf', sprintf('./%s.pdf',mfilename));