clc
clear all

full=xlsread('fullyresolved.xlsx');
multi=xlsread('multiscale.xlsx');

err=multi-full;
err(:,1)=full(:,1);

% for i=1:100
%     err2(i,:)=err(i*3-1,:);
% end
% 
x=full(:,1);
% x2=err2(:,1);

color1=[253	141	60]/255;
color2=[241	105	19]/255;
color3=[217	72	1]/255;
color4=[140	45	4]/255;
%plot( x2,err2(:,2),'x-k', x2,err2(:,3),'+-k',x2,err2(:,4),'<-k',x2,err2(:,5),'>-k',x2,err2(:,6),'^-k',x2,err2(:,7),'v-k','markers',8)
plot( x,err(:,2), 'markers',8,'linewidth',2, 'color', color1)
hold on
plot( x,err(:,3), 'markers',8,'linewidth',2, 'color', color2)
plot( x,err(:,4), 'markers',8,'linewidth',2, 'color', color3)
plot( x,err(:,5), 'markers',8,'linewidth',2, 'color', color4)


xlabel('$$\hat{t}$$','Interpreter','Latex')
ylabel('Error')
xlim([0 50])
legend('$Da=0$', '$Da=5\times10^{-4}$', '$Da=1\times10^{-3}$', '$Da=2\times10^{-3}$', ...
    'FontSize',18,'Interpreter','latex')
set(legend,'box', 'off')

%%%%%%%%% group requirements %%%%%%%%%%
set(gcf, 'Units', 'centimeters',...
    'Position',[3 4 16 12],... % [left bottom width height]
    'PaperPositionMode', 'auto');
set(gca,'FontName','Times New Roman','FontSize',...
    20,'LineWidth',2,'Yscale','linear');
h=gcf;
pos = get(gcf, 'Position');
set(h,'PaperUnits','centimeters', 'PaperSize', pos(3:4));
print(h,'-dpdf', sprintf('./%s.pdf',mfilename));
