clc
clear all

multi=xlsread('multiscale.xlsx');

multi=multi*1000;
x=multi(:,1);



color1=[253	141	60]/255;
color2=[241	105	19]/255;
color3=[217	72	1]/255;
color4=[140	45	4]/255;

plot( x,multi(:,2),'k-', 'markers',8,'linewidth',2, 'color', color1)
hold on
plot( x,multi(:,3),'k-', 'markers',8,'linewidth',2, 'color', color2)
plot( x,multi(:,4),'k-', 'markers',8,'linewidth',2, 'color', color3)
plot( x,multi(:,5),'k-', 'markers',8,'linewidth',2, 'color', color4)


xlabel('$y$ (mm)','FontSize',20,'Interpreter','latex');
ylabel('Thickness (mm)','FontSize',20,'Interpreter','latex');
% ylim([0 1])
% set(gca,'FontName','Times New Roman','FontSize',35,'FontWeight','normal','linewidth',3)
% set(gcf,'color','w')

legend('$Da=0.002$','$Da=0.005$','$Da=0.01$','$Da=0.02$','FontSize',18,'Interpreter','latex')
set(legend,'box', 'on', 'edgeColor', 'none')
%%%%%%%%% group requirements %%%%%%%%%%
set(gcf, 'Units', 'centimeters',...
    'Position',[3 4 16 12],... % [left bottom width height]
    'PaperPositionMode', 'auto');
set(gca,'FontName','Times New Roman','FontSize',...
    20,'LineWidth',2,'Yscale','linear');
h=gcf;
pos = get(gcf, 'Position');
set(h,'PaperUnits','centimeters', 'PaperSize', pos(3:4));
print(h,'-dpdf', sprintf('./%s.pdf',mfilename));