clc
clear all

data=xlsread('02diffusionFlow.xlsx');

for i=1:30
    data2(i,:)=data(i*10-1,:);
end


x=data(:,1);
x2=data2(:,1);
x=x/0.03;
x2=x2/0.03;

color1=[161	217	155]/255;
color2=[116	196	118]/255;
color3=[35	139	69]/255;
color4=[0	90	50]/255;


p11=plot( x2,data2(:,2),'s', 'markers',8,'LineWidth',2, 'color', color1);
hold on
p12=plot( x2,data2(:,3),'x', 'markers',8,'LineWidth',2, 'color', color2);
p13=plot( x2,data2(:,4),'o', 'markers',8,'LineWidth',2, 'color', color3);
p14=plot( x2,data2(:,5),'+', 'markers',8,'LineWidth',2, 'color', color4);
% p12=plot( x2,data2(:,2),'o', 'color', color1,x2,data2(:,3),'+' ,x2,data2(:,4),'x' ,x2,data2(:,5),'d', 'markers',8,'LineWidth',2, 'color', color4);
p2=plot( x,data(:,6),'k', 'LineWidth',2);
p3=plot( x,data(:,7),'k--', 'LineWidth',2);



%%%%%% Axis %%%%%%
xlabel('$x/L$','FontSize',20,'Interpreter','latex');
ylabel('$c$','FontSize',20,'Interpreter','latex');
ylim([0 1])
set(gca,'FontName','Times New Roman','FontSize',...
    20,'LineWidth',2,'Yscale','linear');

%%%%%%% Legend %%%%%%
legend('$N=3$','$N=6$','$N=20$','$N=50$','Fully resolved','No microcracks','FontSize',18,'Interpreter','latex')
% set(legend, 'box', 'off', 'Position', [0.64 0.77 0 0])
% a=axes('position',get(gca,'position'),'visible','off');
% legend(a,[p1(2) p2(2) p3(2) p4(2)], '$Pe=0$','$Pe=20.8$','$Pe=41.7$','$Pe=83.3$','FontSize',18,'Interpreter','latex')
set(legend, 'box', 'off') %, 'Position', [0.75 0.77 0 0])



%%%%%%%%% Figure %%%%%%%%%%
set(gcf, 'Units', 'centimeters',...
    'Position',[3 4 16 12],... % [left bottom width height]
    'PaperPositionMode', 'auto');
h=gcf;
pos = get(gcf, 'Position');
set(h,'PaperUnits','centimeters', 'PaperSize', pos(3:4));
print(h,'-dpdf', sprintf('./%s.pdf',mfilename));